Subject: [Int-area] Multihoming/IngressFiltering solution - Draft on SAM

From: Rémi Després <[email-masked]>
Date: Tue, 27 Jul 2010 09:56:16 +0200

The draft I mentioned yesterday during the Intarea meeting is at
tools.ietf.org/html/draft-despres-softwire-sam-01

Its section 3.3 deals with a multihoming solution based on the generic stateless address mapping of SAM.
It has:
- e2e transparency,
- ingress filtering compatibility
- no change to intra-site routers (no need for source routing)
- stateless operation in both hosts and CPEs.

Questione and comments are very welcome.

RD

---

From: Arifumi Matsumoto <[email-masked]>
Date: Tue, 27 Jul 2010 21:14:57 +0900

Hi,

> Questione and comments are very welcome.

Regarding renumbering, I could not see any difference from that
is based on address lifetime manipulation. 
Such as the one described in RFC 4192.

Regards,

---

From: Rémi Després <[email-masked]>
Date: Tue, 27 Jul 2010 15:14:05 +0200

Thanks, Arifumi, for your question.
Response below.

> Such as the one described in RFC 4192.

The point is that if a customer site has several interior routers that route in a private address space, no change is needed in these routers when an ISP changes the prefix it delegates to the site.
Hosts derive their updated global addresses from their updated SAM parameters, without changing their interior addresses. 

Is this clarifying?

RD

---

From: Arifumi Matsumoto <[email-masked]>
Date: Tue, 27 Jul 2010 23:37:28 +0900

Rémi,

> Hosts derive their updated global addresses from their updated SAM parameters, without changing their interior addresses. 

So, basically it solves the router-related issues in RFC 5887.
Regarding the host issue, it's dependent on the protocol to
configure the host, not on the configuration info.

Regards,

---

From: Rémi Després <[email-masked]>
Date: Tue, 27 Jul 2010 16:54:27 +0200

> configure the host, not on the configuration info.

Yes, that's my understanding.

Regards,
RD